package com.bonus.canteen.core.order.deprecated.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/** @deprecated */
@Deprecated
public class AppPageOrdListVO implements Serializable {
   @ApiModelProperty("餐盘号")
   private String plateNum;
   @ApiModelProperty("绑定类型 1设备2微信")
   private Integer bindType;
   @ApiModelProperty("卡物理号")
   private String serialNum;
   @ApiModelProperty("餐盘物理卡号")
   private String plateSerialNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("绑定状态")
   private Integer bindState;
   @ApiModelProperty("是否纠错")
   private Integer ifRedress;
   @ApiModelProperty("设备订单号")
   private String macOrdId;
   @ApiModelProperty("商家订单号")
   private Long ordId;
   @ApiModelProperty("退款订单号")
   private Long refundOrdId;
   @ApiModelProperty("档口id")
   private Long shopstallId;
   @ApiModelProperty("档口名称")
   private String shopstallName;
   @ApiModelProperty("折扣")
   private BigDecimal discount;
   @ApiModelProperty("订单日期(区别于下单时间)")
   private LocalDate ordGoodsDate;
   @ApiModelProperty("下单时间")
   private LocalDateTime ordTime;
   @ApiModelProperty("下单人员姓名")
   private String placeOrdName;
   @ApiModelProperty("下单人手机号")
   private String placeOrdMobile;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("餐次名称")
   private String intervalName;
   @ApiModelProperty("支付状态")
   private Integer payState;
   @ApiModelProperty("订单总金额 单位为分")
   private Integer amount;
   @ApiModelProperty("折扣券减免 单位为分")
   private Integer couponReduce;
   @ApiModelProperty("打折减免 单位为分")
   private Integer discountReduce;
   @ApiModelProperty("代金券减免 单位为分")
   private Integer voucherReduce;
   @ApiModelProperty("补贴减免 单位为分")
   private Integer subsidyReduce;
   @ApiModelProperty("实际付款金额 单位为分")
   private Integer realAmount;
   @ApiModelProperty("账户余额 单位为分")
   private Integer accBal;
   @ApiModelProperty("支付时间")
   private LocalDateTime payTime;
   @ApiModelProperty("绑盘时间")
   private LocalDateTime bindTime;
   @ApiModelProperty("外卖标识 1-外卖 2-预订 3-报餐 5、自助餐")
   private Integer takeOutFlag;
   @ApiModelProperty("配送费 单位为分")
   private Integer deliveryFee;
   @ApiModelProperty("配送方式")
   private Integer deliveryType;
   @ApiModelProperty("配送地址")
   private String deliveryAddr;
   @ApiModelProperty("送达时间")
   private LocalDateTime deliveryTime;
   @ApiModelProperty("订单状态 接受单、拒绝订单、取消、退款、完成")
   private Integer ordState;
   @ApiModelProperty("审核状态 1 待审核 2 审核通过 3 审核失败")
   private Integer checkState;
   @ApiModelProperty("订单明细数量")
   private Integer ordDetailSum;
   @ApiModelProperty("商品名称")
   private String goodsName;
   @ApiModelProperty("商品图片url")
   private String imageUrl;
   @ApiModelProperty("商品单价")
   private Integer price;
   @ApiModelProperty("退款原因")
   private String redressRemarks;
   @ApiModelProperty("纠错原因")
   private String remark;
   @ApiModelProperty("纠错图片")
   private String resressPicurl;
   private Integer needPayAmount;
   @ApiModelProperty("订单明细集合")
   private List<AppDtlOrdDetailVO> ordDetailList;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public String getPlateNum() {
      return this.plateNum;
   }

   public Integer getBindType() {
      return this.bindType;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getPlateSerialNum() {
      return this.plateSerialNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Integer getBindState() {
      return this.bindState;
   }

   public Integer getIfRedress() {
      return this.ifRedress;
   }

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public Long getRefundOrdId() {
      return this.refundOrdId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public String getShopstallName() {
      return this.shopstallName;
   }

   public BigDecimal getDiscount() {
      return this.discount;
   }

   public LocalDate getOrdGoodsDate() {
      return this.ordGoodsDate;
   }

   public LocalDateTime getOrdTime() {
      return this.ordTime;
   }

   public String getPlaceOrdName() {
      return this.placeOrdName;
   }

   public String getPlaceOrdMobile() {
      return this.placeOrdMobile;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getIntervalName() {
      return this.intervalName;
   }

   public Integer getPayState() {
      return this.payState;
   }

   public Integer getAmount() {
      return this.amount;
   }

   public Integer getCouponReduce() {
      return this.couponReduce;
   }

   public Integer getDiscountReduce() {
      return this.discountReduce;
   }

   public Integer getVoucherReduce() {
      return this.voucherReduce;
   }

   public Integer getSubsidyReduce() {
      return this.subsidyReduce;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public LocalDateTime getPayTime() {
      return this.payTime;
   }

   public LocalDateTime getBindTime() {
      return this.bindTime;
   }

   public Integer getTakeOutFlag() {
      return this.takeOutFlag;
   }

   public Integer getDeliveryFee() {
      return this.deliveryFee;
   }

   public Integer getDeliveryType() {
      return this.deliveryType;
   }

   public String getDeliveryAddr() {
      return this.deliveryAddr;
   }

   public LocalDateTime getDeliveryTime() {
      return this.deliveryTime;
   }

   public Integer getOrdState() {
      return this.ordState;
   }

   public Integer getCheckState() {
      return this.checkState;
   }

   public Integer getOrdDetailSum() {
      return this.ordDetailSum;
   }

   public String getGoodsName() {
      return this.goodsName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public String getRedressRemarks() {
      return this.redressRemarks;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getResressPicurl() {
      return this.resressPicurl;
   }

   public Integer getNeedPayAmount() {
      return this.needPayAmount;
   }

   public List<AppDtlOrdDetailVO> getOrdDetailList() {
      return this.ordDetailList;
   }

   public void setPlateNum(final String plateNum) {
      this.plateNum = plateNum;
   }

   public void setBindType(final Integer bindType) {
      this.bindType = bindType;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setPlateSerialNum(final String plateSerialNum) {
      this.plateSerialNum = plateSerialNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setBindState(final Integer bindState) {
      this.bindState = bindState;
   }

   public void setIfRedress(final Integer ifRedress) {
      this.ifRedress = ifRedress;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setRefundOrdId(final Long refundOrdId) {
      this.refundOrdId = refundOrdId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setShopstallName(final String shopstallName) {
      this.shopstallName = shopstallName;
   }

   public void setDiscount(final BigDecimal discount) {
      this.discount = discount;
   }

   public void setOrdGoodsDate(final LocalDate ordGoodsDate) {
      this.ordGoodsDate = ordGoodsDate;
   }

   public void setOrdTime(final LocalDateTime ordTime) {
      this.ordTime = ordTime;
   }

   public void setPlaceOrdName(final String placeOrdName) {
      this.placeOrdName = placeOrdName;
   }

   public void setPlaceOrdMobile(final String placeOrdMobile) {
      this.placeOrdMobile = placeOrdMobile;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setIntervalName(final String intervalName) {
      this.intervalName = intervalName;
   }

   public void setPayState(final Integer payState) {
      this.payState = payState;
   }

   public void setAmount(final Integer amount) {
      this.amount = amount;
   }

   public void setCouponReduce(final Integer couponReduce) {
      this.couponReduce = couponReduce;
   }

   public void setDiscountReduce(final Integer discountReduce) {
      this.discountReduce = discountReduce;
   }

   public void setVoucherReduce(final Integer voucherReduce) {
      this.voucherReduce = voucherReduce;
   }

   public void setSubsidyReduce(final Integer subsidyReduce) {
      this.subsidyReduce = subsidyReduce;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setPayTime(final LocalDateTime payTime) {
      this.payTime = payTime;
   }

   public void setBindTime(final LocalDateTime bindTime) {
      this.bindTime = bindTime;
   }

   public void setTakeOutFlag(final Integer takeOutFlag) {
      this.takeOutFlag = takeOutFlag;
   }

   public void setDeliveryFee(final Integer deliveryFee) {
      this.deliveryFee = deliveryFee;
   }

   public void setDeliveryType(final Integer deliveryType) {
      this.deliveryType = deliveryType;
   }

   public void setDeliveryAddr(final String deliveryAddr) {
      this.deliveryAddr = deliveryAddr;
   }

   public void setDeliveryTime(final LocalDateTime deliveryTime) {
      this.deliveryTime = deliveryTime;
   }

   public void setOrdState(final Integer ordState) {
      this.ordState = ordState;
   }

   public void setCheckState(final Integer checkState) {
      this.checkState = checkState;
   }

   public void setOrdDetailSum(final Integer ordDetailSum) {
      this.ordDetailSum = ordDetailSum;
   }

   public void setGoodsName(final String goodsName) {
      this.goodsName = goodsName;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setRedressRemarks(final String redressRemarks) {
      this.redressRemarks = redressRemarks;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setResressPicurl(final String resressPicurl) {
      this.resressPicurl = resressPicurl;
   }

   public void setNeedPayAmount(final Integer needPayAmount) {
      this.needPayAmount = needPayAmount;
   }

   public void setOrdDetailList(final List<AppDtlOrdDetailVO> ordDetailList) {
      this.ordDetailList = ordDetailList;
   }

}
